body {
  font-family: sans-serif;
  background: #f0f0f0;
  display: flex;
  height: 100vh;
  align-items: center;
  justify-content: center;
  margin: 0;
}

.container {
  background: #0070c0;
  padding: 2rem;
  border-radius: 10px;
  color: orange;
  box-shadow: 0 0 10px rgba(0,0,0,0.2);
  text-align: center;
  width: 250px;
  height: 370px;
}

h1 {
  margin-top: 0;
  font-size: 1.5rem;
}

.toggle {
  position: relative;
  margin: 1rem auto;
  width: 200px;
  height: 30px;
}

.toggle[data-label]::before {
  content: attr(data-label);
  position: absolute;
  left: 0;
  top: 0;
  color: orange;
  font-weight: bold;
  line-height: 30px;
}

.toggle input {
  display: none;
}

.toggle label {
  position: absolute;
  right: 0;
  top: 5px;
  width: 20px;
  height: 20px;
  background: orange;
  border-radius: 50%;
  cursor: pointer;
  transition: transform 0.2s;
}

.toggle input:checked + label {
  transform: translateX(-20px);
}

.note {
  margin-top: 1.5rem;
  font-size: 0.9rem;
  color: #fff3c0;
}

.toggle input:checked + label {
  background: #00cc66; /* verde */
  transform: translateX(-20px);
}

.mensaje {
  margin-top: 1rem;
  font-size: 0.95rem;
  color: #ffffff;
  font-style: italic;
}

.separata {
  height: 0px;
  display: inline-block;
}